# Constant Field Values

## Contents

- cds.healpix.*

## cds.healpix.*

cds.healpix.Healpix
Modifier and Type
Constant Field
Value
`public static final int`
`DEPTH_MAX`
`29`
`public static final double`
`LAT_OF_SQUARE_CELL`
`0.39934019947897775`
`public static final double`
`TRANSITION_Z`
`0.6666666666666666`
cds.healpix.Projection
Modifier and Type
Constant Field
Value
`public static final int`
`LAT_INDEX`
`1`
`public static final int`
`LON_INDEX`
`0`
`public static final int`
`X_INDEX`
`0`
`public static final int`
`Y_INDEX`
`1`
cds.healpix.VerticesAndPathComputer
Modifier and Type
Constant Field
Value
`public static final int`
`LAT_INDEX`
`1`
`public static final int`
`LON_INDEX`
`0`

cds.healpix.common.math.FastMath
Modifier and Type
Constant Field
Value
`public static final double`
`SAFE_MIN`
`2.2250738585072014E-308`
cds.healpix.common.math.HackersDelight
Modifier and Type
Constant Field
Value
`public static final long`
`BUT_EXPONENT_BIT_MASK`
`-9218868437227405313L`
`public static final long`
`BUT_SIGN_BIT_MASK_L`
`9223372036854775807L`
`public static final long`
`EXPONENT_BITS_MASK`
`9218868437227405312L`
`public static final int`
`SIGN_BIT_MASK_I`
`-2147483648`
`public static final long`
`SIGN_BIT_MASK_L`
`-9223372036854775808L`
cds.healpix.common.math.Math
Modifier and Type
Constant Field
Value
`public static final double`
`EPSILON`
`1.0E-15`
`public static final double`
`FOUR_OVER_PI`
`1.2732395447351628`
`public static final double`
`HALF_PI`
`1.5707963267948966`
`public static final double`
`ONE_FOURTH`
`0.25`
`public static final double`
`ONE_OVER_2PI`
`0.15915494309189535`
`public static final double`
`ONE_OVER_PI`
`0.3183098861837907`
`public static final double`
`ONE_THIRD`
`0.3333333333333333`
`public static final double`
`PI`
`3.141592653589793`
`public static final double`
`PI_OVER_FOUR`
`0.7853981633974483`
`public static final double`
`TWO_OVER_PI`
`0.6366197723675814`
`public static final double`
`TWO_PI`
`6.283185307179586`
cds.healpix.common.math.TaylorSeries
Modifier and Type
Constant Field
Value
`public static final double`
`FIVE_OVER_112`
`0.044642857142857144`
`public static final double`
`HALF`
`0.5`
`public static final double`
`ONE_OVER_120`
`0.008333333333333333`
`public static final double`
`ONE_OVER_24`
`0.041666666666666664`
`public static final double`
`ONE_OVER_5040`
`1.984126984126984E-4`
`public static final double`
`ONE_OVER_720`
`0.001388888888888889`
`public static final double`
`ONE_SIXTH`
`0.16666666666666666`
`public static final double`
`ONE_THIRD`
`0.3333333333333333`
`public static final double`
`Q_17_OVER_315`
`0.05396825396825397`
`public static final double`
`THREE_OVER_40`
`0.075`
`public static final double`
`TWO_OVER_15`
`0.13333333333333333`

cds.healpix.common.sphgeom.EllipticalCone
Modifier and Type
Constant Field
Value
`public static final double`
`EPSILON`
`1.0E-14`